Bug 586513 - pure-ftpd-selinux %preun invokes pure-ftpd
pure-ftpd-selinux %preun invokes pure-ftpd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pure-ftpd (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 15:13 EDT by Jerry James
Modified: 2010-06-03 11:01 EDT (History)
1 user (show)

See Also:
Fixed In Version: pure-ftpd-1.0.29-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 18:45:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2010-04-27 15:13:31 EDT
Description of problem:
I installed pure-ftpd and pure-ftpd-selinux on my desktop machine temporarily in order to diagnose an FTP-related problem we were having in our internal company network.  When I tried to uninstall, I got this:

# rpm -e pure-ftpd pure-ftpd-selinux
warning: /etc/pure-ftpd/pure-ftpd.conf saved as /etc/pure-ftpd/pure-ftpd.conf.rpmsave
pure-ftpd not found
error: %preun(pure-ftpd-selinux-1.0.29-1.fc12.x86_64) scriptlet failed, exit status 1

and now pure-ftpd is uninstalled, but pure-ftpd-selinux is not.  In the spec file, I see this:

%preun selinux
if [ "$1" -lt "1" ]; then # Final removal
    semodule -r pureftpd 2>/dev/null || :
    fixfiles -R pure-ftpd restore
    /sbin/service pure-ftpd condrestart > /dev/null 2>&1 
fi

The "service" line fails if the main package has already been uninstalled.  This line should either be allowed to fail, or else the dependency of that script on the main package should be made explicit.

Version-Release number of selected component (if applicable):
pure-ftpd-1.0.29-1.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. yum install pure-ftpd pure-ftpd-selinux
2. rpm -e pure-ftpd pure-ftpd-selinux
  
Actual results:
The uninstallation fails while processing the %preun script of pure-ftpd-selinux.

Expected results:
Complete uninstallation.

Additional info:
Comment 1 Aurelien Bompard 2010-04-28 02:20:37 EDT
Thanks for reporting this ! I've fixed the bug in CVS, the update is building right now.
Comment 2 Fedora Update System 2010-04-28 02:24:12 EDT
pure-ftpd-1.0.29-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pure-ftpd-1.0.29-2.fc12
Comment 3 Fedora Update System 2010-04-28 18:45:46 EDT
pure-ftpd-1.0.29-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2010-05-13 14:07:29 EDT
pure-ftpd-1.0.29-1.el5.1 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pure-ftpd-1.0.29-1.el5.1
Comment 5 Fedora Update System 2010-06-03 11:01:44 EDT
pure-ftpd-1.0.29-1.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.